[Libreoffice-commits] dev-tools.git: bibisect/bibisect.cfg bibisect/build.sh bibisect/Makefile

Bjoern Michaelsen bjoern.michaelsen at canonical.com
Wed Nov 27 09:32:02 PST 2013


 bibisect/Makefile     |    2 -
 bibisect/bibisect.cfg |    8 ++--
 bibisect/build.sh     |   90 ++++++++++----------------------------------------
 3 files changed, 24 insertions(+), 76 deletions(-)

New commits:
commit 225ee8fe68d54639742b7e5830daef078b54cd20
Author: Bjoern Michaelsen <bjoern.michaelsen at canonical.com>
Date:   Tue Oct 8 22:07:13 2013 +0200

    simplify and update for 4.2 instdir

diff --git a/bibisect/Makefile b/bibisect/Makefile
index e2899bf..2f56d8a 100755
--- a/bibisect/Makefile
+++ b/bibisect/Makefile
@@ -29,7 +29,7 @@
 
 include bibisect.cfg
 
-BINREPO:=$(WORKDIR)/binrepo
+BINREPO:=/root/binrepo
 BUILDDIR:=$(WORKDIR)/build
 ARTIFACTDIR:=$(WORKDIR)/artifact
 ORDERMODE?=master
diff --git a/bibisect/bibisect.cfg b/bibisect/bibisect.cfg
index fc997a2..abafb8f 100644
--- a/bibisect/bibisect.cfg
+++ b/bibisect/bibisect.cfg
@@ -1,10 +1,10 @@
 #FROM:=8450a99c
-FROM:=8450a99c
-TO:=master
+FROM:=cb4e009c4539c535108021934e545194b35cad9d
+TO:=e579d45
 INTERVAL:=64
 ORDERMODE:=master
 
-WORKDIR:=$(HOME)/bibisect
-SOURCEREPO:=$(WORKDIR)/source/.git
+WORKDIR:=/run/bibisect
+SOURCEREPO:=/root/core/.git
 
 BUILDSCRIPT:=$(dir $(realpath $(firstword $(MAKEFILE_LIST))))/build.sh
diff --git a/bibisect/build.sh b/bibisect/build.sh
index c1747e4..e96b255 100755
--- a/bibisect/build.sh
+++ b/bibisect/build.sh
@@ -32,56 +32,10 @@ ARTIFACTDIR=$2
 
 cd ${BUILDDIR}
 
-
 BUILDCOMMIT=`git rev-list -1 HEAD`
 
-#apply patches between 3c5353256bb94ba99fea94939cf06ba723737c10 and 6a0972ced879259e7f960e7bb852b0e175a05b7a
-if test ! `git merge-base ${BUILDCOMMIT} 6a0972ced879259e7f960e7bb852b0e175a05b7a` = 6a0972ced879259e7f960e7bb852b0e175a05b7a
-then
-if test `git merge-base ${BUILDCOMMIT} 3c5353256bb94ba99fea94939cf06ba723737c10` = 3c5353256bb94ba99fea94939cf06ba723737c10
-then
-    echo "This is newer than 3c5353256bb94ba99fea94939cf06ba723737c10, cherrypicking." > ${ARTIFACTDIR}/patch.log
-    git cherry-pick 6a0972ced879259e7f960e7bb852b0e175a05b7a >> ${ARTIFACTDIR}/patch.log 2>&1
-    git cherry-pick 6963de9536cfca1145685a611a6c88c5160d9a1c >> ${ARTIFACTDIR}/patch.log 2>&1
-    git rm solenv/gbuild/templates/makefile.mk  >> ${ARTIFACTDIR}/patch.log 2>&1
-    git commit -C 6963de9536cfca1145685a611a6c88c5160d9a1c >> ${ARTIFACTDIR}/patch.log 2>&1
-    git cherry-pick b1c3e8ae28fcd84c7182f4898c3250e18ed92f1a >> ${ARTIFACTDIR}/patch.log 2>&1
-    git rm tail_build/prj/makefile.mk  >> ${ARTIFACTDIR}/patch.log 2>&1
-    git rm solenv/inc/gbuildbridge.mk  >> ${ARTIFACTDIR}/patch.log 2>&1
-    git commit -C b1c3e8ae28fcd84c7182f4898c3250e18ed92f1a  >> ${ARTIFACTDIR}/patch.log 2>&1
-    git cherry-pick 0bd553e8629104fbc37ac574017519b3f3752cb3 >> ${ARTIFACTDIR}/patch.log 2>&1
-
-    if test ! `git merge-base ${BUILDCOMMIT} f3653d3c1e93a7e92a546b770e418b8cf5c06c54` = f3653d3c1e93a7e92a546b770e418b8cf5c06c54
-    then
-        echo "This is older than f3653d3c1e93a7e92a546b770e418b8cf5c06c54, codemaker is still dmake." >> ${ARTIFACTDIR}/patch.log
-        touch codemaker/prj/dmake
-    fi
-    if test ! `git merge-base ${BUILDCOMMIT} a57b6347999889bbbcf55e704ac480482fdc5497` = a57b6347999889bbbcf55e704ac480482fdc5497
-    then
-        echo "This is older than a57b6347999889bbbcf55e704ac480482fdc5497, unodevtools is still dmake." >> ${ARTIFACTDIR}/patch.log
-        touch unodevtools/prj/dmake
-    fi
-    if test ! `git merge-base ${BUILDCOMMIT} bed6580ec330fea6bc7ee015adf1baf6298ed3fb` = bed6580ec330fea6bc7ee015adf1baf6298ed3fb
-    then
-        echo "This is older than bed6580ec330fea6bc7ee015adf1baf6298ed3fb, idlc is still dmake." >> ${ARTIFACTDIR}/patch.log
-        touch idlc/prj/dmake
-    fi
-    if test ! `git merge-base ${BUILDCOMMIT} 5342bc073b6dff059f9e60ad5fea6905752f0f9c` = 5342bc073b6dff059f9e60ad5fea6905752f0f9c
-    then
-        echo "This is older than 5342bc073b6dff059f9e60ad5fea6905752f0f9c, cpputools is still dmake." >> ${ARTIFACTDIR}/patch.log
-        touch cpputools/prj/dmake
-    fi
-    if test ! `git merge-base ${BUILDCOMMIT} f55eed29c68205f69dd263f8a9657ac407a73ee3` = f55eed29c68205f69dd263f8a9657ac407a73ee3
-    then
-        echo "This is older than f55eed29c68205f69dd263f8a9657ac407a73ee3, rdbmaker is still dmake." >> ${ARTIFACTDIR}/patch.log
-        touch rdbmaker/prj/dmake
-    fi
-fi
-fi
-
 cat <<EOF > autogen.lastrun
 --disable-dependency-tracking
---disable-linkoo
 --disable-option-checking
 --without-junit
 --without-help
@@ -95,43 +49,37 @@ EOF
 
 export CCACHE_DIR=`readlink -f /root/ccache`
 export CCACHE_BASEDIR=`readlink -f .`
-#export CCACHE_PREFIX=distcc
-#export DISTCC_HOSTS="localhost/8 192.168.0.103/8 192.168.0.98/16"
 unset DISPLAY
 
 ccache -M 8G
-# delete outdated cache to keep the cache small (and in RAM)
-#find ${CCACHE_DIR} -mmin +120 -type f -delete
 
 ./autogen.sh > ${ARTIFACTDIR}/autogen.log 2>&1
 git log -1 --pretty=format:"source-hash-%H%n%n" $BUILDCOMMIT > ${ARTIFACTDIR}/commitmsg
 git log -1 --pretty=fuller $BUILDCOMMIT >> ${ARTIFACTDIR}/commitmsg
 make > ${ARTIFACTDIR}/make.log 2>&1
 echo "second try:" >> ${ARTIFACTDIR}/make.log 2>&1
-make > ${ARTIFACTDIR}/make.log 2>&1
-make dev-install > ${ARTIFACTDIR}/dev-install.log 2>&1
-echo "second try:" >> ${ARTIFACTDIR}/make.log 2>&1
-make dev-install >> ${ARTIFACTDIR}/dev-install.log 2>&1
+make >> ${ARTIFACTDIR}/make.log 2>&1
 
-# shelve away the ccache, just in case
 ccache -s > ${ARTIFACTDIR}/ccache.log
-#mkdir -p ../ccaches
-#cp -a ${CCACHE_DIR} ../ccaches/ccache-`git log -1 --pretty=format:%H`
-#pwd
-#echo ${BUILDDIR}
-if test -d ${BUILDDIR}/solver/unxlngx6.pro/installation/opt
+source ${BUILDDIR}/config_host.mk
+echo ${INSTDIR} >> ${ARTIFACTDIR}/instdir.log
+if test -f "${INSTDIR}/program/soffice"
 then
     echo "found install"
-    cp -a ${BUILDDIR}/solver/unxlngx6.pro/installation/opt ${ARTIFACTDIR}/opt
+    cp -a ${INSTDIR}/ ${ARTIFACTDIR}/opt
 else
-    echo "no install found"
-fi
-if test ! -f ${ARTIFACTDIR}/opt/program/soffice.bin
-then
-    cp -a `find . -name instdir -type d`/unxlngx6.pro ${ARTIFACTDIR}/opt
-fi
-if test -f ${ARTIFACTDIR}/opt/program/soffice.bin
-then
-    exit 0
+    make dev-install > ${ARTIFACTDIR}/dev-install.log 2>&1
+    echo "second try:" >> ${ARTIFACTDIR}/make.log 2>&1
+    make dev-install >> ${ARTIFACTDIR}/dev-install.log 2>&1
+    if test -d ${BUILDDIR}/solver/unxlngx6.pro/installation/opt
+    then
+        INSTDIR=${BUILDDIR}/solver/unxlngx6.pro/installation/opt
+        echo "found install"
+        mkdir -p ${ARTIFACTDIR}/opt
+        cp -a ${INSTDIR}/ ${ARTIFACTDIR}/opt
+    else
+        echo "no install found"
+        exit 1
+    fi
 fi
-exit 1
+exit 0


More information about the Libreoffice-commits mailing list